%define real_name Net-ARP
%global _use_internal_dependency_generator 0

Name:       perl-Net-ARP
Version:    1.0.6
Release:    5.1%{?dist}
Summary:    Create and Send ARP Packets 
Group:      Development/Libraries
License:    GPL+ or Artistic
URL:        http://search.cpan.org/dist/%{real_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CR/CRAZYDJ/%{real_name}-%{version}.tgz
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires: perl(ExtUtils::MakeMaker)

Patch0:     Net-Arp-1.0.6-tests.patch

%description
This module is a Perl extension to create and send ARP packets and lookup
local or remote mac addresses. You do not need to install any additional 
libraries like Libnet to compile this extension. It uses kernel header files 
to create the packets.

%prep
%setup -q -n %{real_name} 
%patch0 -p1 -b .tests

# remove unwanted provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__find_provides} $* | sed -e "/ARP.so()(64bit)/d" 
EOF

%global __find_provides %{_builddir}/%{real_name}/%{name}-prov
chmod +x %{__find_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

# remove unnecessary files
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/Net/ARP/ARP.bs


%check
# The tests for this package require root privileges, therefore for automated
# building we need to leave it out.
#
# make test
#

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README MANIFEST 
%{perl_vendorarch}/Net/ARP.pm
%{_mandir}/man3/Net::ARP.3pm.gz
%{perl_vendorarch}/auto/Net/ARP/ARP.so

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0.6-4.1
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0.6-3.1
- Mass rebuild with perl-5.12.0

* Fri Nov 06 2009 BJ Dierkes <wdierkes@rackspace.com> - 1.0.6-2.1
- BuildRequires: perl(ExtUtils::MakeMaker)

* Tue Nov 03 2009 BJ Dierkes <wdierkes@rackspace.com> - 1.0.6-2
- Set _use_internal_dependency_generator to 0 as well as override
  __find_provides in prep to remove unwanted provides.
- Use make pure_install
- Rename spec to match package name

* Thu Oct 29 2009 BJ Dierkes <wdierkes@rackspace.com> - 1.0.6-1
- Initial spec build (modified from perl-Net-SNMP) 
- Added Patch0: Net-Arp-1.0.6-tests.patch

